% Classes: each folder corresponds to a class.
%
% Note: you may inquire which methods are defined for a class
%       using the `methods' Matlab command, 
%       for instance, `methods field'.
%
% Note: all objects descended from classbase may be inspected 
%       with OBgui (a Matlab command in the util folder).
%    
% classbase           - the base class of the system
% fenode              - class to represent finite element nodes
% gcell               - classes for geometric cells
% feblock             - classes that represent various behaviors (deformation, heat conduction, etc.) for various types of geometric cells  
% integration_rule    - class for quadrature rules    
% mater               - classes for various types of materials       
% body_load           - class for volume loads 
% nodal_load          - class for force-like (concentrated) loads 
% field               - class representing tables of nodal values
% sysmat              - class for system matrices
% sysvec              - class for system vectors       
% elemat              - element matrix class
% elevec              - element vector class 
% graphic_viewer      - class for production and management of graphics      
% data_colormap       - class to map data values to colors
% fenode_to_gcell_map - a helper class that maps 

