% Convert a stress vector to a *symmetric*
% matrix of stress components (tensor)
%
function t = stress_vector_to_tensor (self,v)
if length(v) == 3
    t = stress_3_vector_to_tensor (self,v);
elseif length(v) == 4
    t = stress_4_vector_to_tensor (self,v);
else
    error ('Unknown stress vector');
end

